Ruby: Data Fields

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - e -

- e : BigStruct, C, cls_struct_19byte, cls_struct_5byte, cls_struct_64byte, cls_struct_6byte, cls_struct_7byte, cls_struct_align, cls_struct_combined, large_tag, rsa_blocking_gen_arg, struct_108byte, struct_116byte, struct_72byte
- e_proc : rb_ensure_entry
- e_script : ruby_cmdline_options
- eargp : child_info
- ec : mjit_cont, rb_debug_inspector_struct, rb_econv_init_by_convpath_t, rb_thread_struct, rb_trace_arg_struct, rescue_funcall_args, waitpid_state
- ecflags : rb_io_t::rb_io_enc_t
- ecopts : rb_io_t::rb_io_enc_t
- eden_heap : rb_objspace
- ee : BigStruct
- elems : rb_econv_t, static_tree_desc_s
- enable_close : dl_handle
- enc : default_encoding, dir_data, glob_args, glob_error_args, INamesArg, OnigErrorInfo, OptEnv, parser_params, rb_encoding_entry, rb_io_t::rb_io_enc_t, re_pattern_buffer, reg_named_capture_assign_t, ruby_cmdline_options, ScanEnv, search_path_queue_tag, StringIO, warning_args
- enc2 : rb_io_t::rb_io_enc_t
- enclose : _Node
- enclosed : thgroup
- encodings : dump_arg
- encrypt : curfile64_info
- encrypted : unz64_s
- encs : argf, rb_io_t
- end : _OnigStackType, arith_seq_gen, ensure_range, ibf_object_struct_range, iseq_catch_table_entry, log, rb_arithmetic_sequence_components_t, re_registers, rmatch_offset, st_str_end_key, StrNode, zstream::zstream_funcs
- end_label : iseq_compile_data
- end_pos : rb_code_location_struct
- end_pstr : _OnigStackType
- ensure_array : rb_context_struct
- ensure_list : rb_execution_context_struct
- ensure_node : iseq_compile_data_ensure_node_stack
- ensure_node_stack : iseq_compile_data
- ensure_rollback_table : rb_vm_struct
- ent : ruby_glob_entries_t
- enter_func : obj_traverse_data, obj_traverse_replace_data
- entries : rb_class_cc_entries, ruby_glob_entries_t, st_table, trans_open_t
- entries_bound : st_table
- entries_start : st_table
- entry : iseq_inline_constant_cache, iseq_inline_iv_cache_entry, rb_ensure_list
- entry_power : st_features, st_table
- enums : enum_chain
- env : cfunc_proc_t, IApplyCaseFoldArg, rb_env_t, RVALUE, state
- env_modification : rb_execarg
- env_size : rb_env_t
- envp_buf : rb_execarg
- envp_str : rb_execarg
- eof : gz_state
- eofp : parser_params
- ep : rb_captured_block, rb_control_frame_struct, rb_env_t
- eql : equal_data
- erange : iseq_compile_data_ensure_node_stack
- err : gz_state, open_struct
- err_count : verify_internal_consistency_struct
- err_info : iseq_compile_data
- errinfo : rb_execution_context_struct
- errmsg : spawn_args
- errnum : apply_arg, asynchronous_arg_t, waitpid_state
- error : glob_error_args, izstream, ozstream, rb_process_status, ruby_glob_funcs_t, ScanEnv, select_args, WIN32FILE_IOWIN
- error_buffer : parser_params
- error_bytes_len : rb_econv_t
- error_bytes_start : rb_econv_t
- error_end : ScanEnv
- error_no : copy_stream_struct
- error_p : parser_params
- error_tc : rb_econv_t
- errstatus : cparse_params
- esc : OnigMetaCharTableType
- escape_slash : JSON_Generator_StateStruct
- escaped : OnigToken
- eset : select_set
- eval_tree : parser_params
- eval_tree_begin : parser_params
- event : iseq_trace_data, rb_trace_arg_struct
- event_id : oleeventdata
- events : iseq_insn_data, iseq_insn_info_entry, rb_event_hook_struct, rb_hook_list_struct, rb_tp_struct, wait_for_single_fd
- exact : re_pattern_buffer
- exact_end : re_pattern_buffer
- exb : NodeOptInfo
- exc : gc_raise_tag
- except : select_args
- exception : rb_ractor_basket
- exception_given : rb_execarg
- excl : arith_seq_gen, ibf_object_struct_range
- exclude_end : rb_arithmetic_sequence_components_t
- exec : rb_iseq_struct
- execarg : spawn_args
- execarg_obj : child_info
- exist_level : OnigToken
- exm : NodeOptInfo
- expanded_load_path : rb_vm_struct
- exponent : Real
- expr : NodeOptInfo
- ext : ruby_cmdline_options
- ext_config : rb_thread_struct
- external_fa : unz_file_info64_s, unz_file_info_s, zip_fileinfo
- extra : gz_header_s, inflate_state
- extra_base : static_tree_desc_s
- extra_bits : static_tree_desc_s
- extra_len : gz_header_s
- extra_max : gz_header_s
- extra_size : ibf_header